Get an origin cloud region mapping
GET/zones/{zone_id}/cache/origin_cloud_regions/{origin_ip}
Returns the cloud region mapping for a single origin IP address. The IP path parameter is normalized before lookup (RFC 5952 for IPv6). Returns 404 (code 1142) if the zone has no mappings or if the specified IP has no mapping.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Get an origin cloud region mapping
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/cache/origin_cloud_regions/$ORIGIN_IP \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [],
"messages": [],
"result": {
"editable": true,
"id": "origin_public_cloud_region",
"modified_on": "2026-03-01T12:00:00Z",
"value": {
"modified_on": "2026-03-01T12:00:00Z",
"origin-ip": "192.0.2.1",
"region": "us-east-1",
"vendor": "aws"
}
},
"success": true
}{
"errors": [
{
"code": 1142,
"message": "Unable to retrieve origin_public_cloud_region setting value. The zone setting does not exist."
}
],
"messages": [],
"result": null,
"success": false
}Returns Examples
{
"errors": [],
"messages": [],
"result": {
"editable": true,
"id": "origin_public_cloud_region",
"modified_on": "2026-03-01T12:00:00Z",
"value": {
"modified_on": "2026-03-01T12:00:00Z",
"origin-ip": "192.0.2.1",
"region": "us-east-1",
"vendor": "aws"
}
},
"success": true
}{
"errors": [
{
"code": 1142,
"message": "Unable to retrieve origin_public_cloud_region setting value. The zone setting does not exist."
}
],
"messages": [],
"result": null,
"success": false
}